<?php 
/*
 * @version $Id: mod_joomleague_results.php 1140 2008-06-18 20:06:33Z julienv $
 * @package Joomleague
 * @subpackage results
 * @copyright Copyright (C) 2007  JoomLeague
 * @license http://www.gnu.org/copyleft/gpl.html GNU/GPL, see _joomleague_license.txt
**********************************************
JoomLeague RESULTS MODULE
Copyright (c) 2007 JoomLeague.de
**********************************************
This program is free software; you can redistribute it and/or modify 
it under the terms of the GNU General Public License as published by 
the Free Software Foundation; either version 2 of the License, or 
(at your option) any later version.

This header must not be removed. Additional contributions/changes
may be added to this header as long as no information is deleted.
**********************************************

* RESULTS MODULE
*
* 2008-01-08 - Version 0.93
*
* Displays the latest results of given project.
* There are some options for this module, which can be set in the 
* "Parameters" section of the module in Administration.
*

**********************************************
Get the latest version of JoomLeague at:
http://www.joomleague.de//
**********************************************
*/

defined( '_VALID_MOS' ) or die( 'Direct Access to this location is not allowed.' );

if (!function_exists('getResultsRows')) 
{	   
	function getResultsRows($project, $round = 0 , $division = 0, $ordering = 'ASC', $unpublished = 0 ) 
	{    
    $result = array();
    
    $query_SELECT = ' SELECT matches.*, r.matchcode as roundcode, r.name as roundname, "dummy", '
                  . ' t1.name AS home_name, t1.short_name AS home_shortname, '
                  . ' t2.name AS away_name, t2.short_name AS away_shortname, '
                  . ' c1.logo_small AS home_icon, '
                  . ' c2.logo_small AS away_icon '
                  ;
    $query_FROM  = ' FROM #__joomleague_matches AS matches '
                 . ' INNER JOIN #__joomleague_rounds AS r ON matches.round_id = r.id '
                 . ' INNER JOIN #__joomleague_teams AS t1 ON matches.matchpart1 = t1.id '
                 . ' INNER JOIN #__joomleague_teams AS t2 ON matches.matchpart2 = t2.id '
                 . ' INNER JOIN #__joomleague_clubs AS c1 ON c1.id = t1.club_id '
                 . ' INNER JOIN #__joomleague_clubs AS c2 ON c2.id = t2.club_id '
                 ;
    $query_WHERE = " WHERE  matches.project_id = ".$project->id;
    if ($round) {
      $query_WHERE .= " AND r.matchcode = $round";
    }
    $query_END   = " ORDER BY matches.match_date $ordering, matches.match_number";
      
    if ($division > 0) {
      $query_FROM  .= ' INNER JOIN #__joomleague_team_joomleague AS tt1 ON matches.matchpart1 = tt1.team_id '
                    . ' INNER JOIN #__joomleague_team_joomleague AS tt2 ON matches.matchpart2 = tt2.team_id '
                    . ' INNER JOIN #__joomleague_divisions AS d1 ON tt1.division_id = d1.id '
                    . ' INNER JOIN #__joomleague_divisions AS d2 ON tt2.division_id = d2.id ';
      $query_WHERE .= " AND (  d1.id = $division OR d1.parent_id = $division  
                            OR d2.id = $division OR d2.parent_id = $division )";
    }
      
    if ($unpublished!=1) $query_WHERE .=" AND matches.published = 1";
    /* 
    if ( $config['show_playground'] ) {
      $query_SELECT .= ", playground.name AS playground_name, playground.short_name AS playground_short_name";
      $query_FROM  .= " LEFT JOIN #__joomleague_playgrounds AS playground ON playground.id = matches.playground_id";
    }
    if ( $config['show_referee'] ) {
      if ( $project->teams_as_referees ) {
        $query_SELECT .= ", ref.name AS referee_name";
        $query_FROM  .= " LEFT JOIN #__joomleague_teams AS ref ON ref.id = matches.referee_id";
      }
      else {
        $query_SELECT .= ", ref.firstname AS referee_firstname, ref.lastname AS referee_lastname";
        $query_FROM  .= " LEFT JOIN #__joomleague_referees AS ref ON ref.id = matches.referee_id";
      }
    }
    */
      
    $project->_db->setQuery( $query_SELECT.$query_FROM.$query_WHERE.$query_END );
    if ( !$result = $project->_db->loadObjectList() ) {
      echo $project->_db->getErrorMsg();
    }
    return $result;
  }
}

if (file_exists($mosConfig_absolute_path.'/components/com_joomleague/language/'.$mosConfig_lang.'.php')) {
  include_once($mosConfig_absolute_path.'/components/com_joomleague/language/'.$mosConfig_lang.'.php');
} 
else{
  include_once($mosConfig_absolute_path.'/components/com_joomleague/language/english.php');
}

require_once 'administrator/components/com_joomleague/joomleague.class.php';

#comment this line for mambo version < 4.5.1
//$params = mosParseParams( $module->params );

$p = $params->get('project', 0); //default 0
$last_round = $params->get('last_round', 0); //default 0
$show = $params->get('show'); //default 1
$show_shortnames = $params->get('show_shortnames', 0); //default 0
$show_logo_small = $params->get('show_logo_small', 0); //default 0
$show_link = $params->get('show_link'); //default 1
$dates_format = $params->get('dates_format', '%a, %B %d, %Y');

$colspan = 5;
if ( $params->get('show_time') ) $colspan ++;

if($p > 0){
  $project = new JoomLeague( $database );
  $project->load($p);

  if ($last_round == 1) {
    $matches = getResultsRows($project, $project->current_round-1);
  }
  else {
  	$matches = getResultsRows($project, $project->current_round); 
  }

if($show > 0){?><div align="center"><b><?php echo $project->name;?></b></div><?php }?>
  
<table width="100%" align="center" border="0" cellpadding="2" cellspacing="1">
  
<?php
  $favteams = explode(",", $project->fav_team);
  $k = 0;
  $match_date = "";
  foreach($matches as $match){
  	
    $class = ($k == 0)? 'sectiontableentry1' : 'sectiontableentry2';
        
    if ( $params->get('show_dates') ) {
      // display the date if it doesn't match the current
      if ( substr($match_date,0,10) != substr($match->match_date,0,10) ) {
        $match_date = $match->match_date;
        ?>
        <tr>
         <td colspan="<?php echo $colspan; ?>" align="center"><?php echo mosFormatDate($match_date, $dates_format, 0); ?></td>
        </tr>
        <?php
      }
    }
     
    ?>
    <tr class="<?php print $class;?>">
      <?php
      if ( $params->get('show_time') ) {
        ?> 
        <td align="left" nowrap="nowrap"><b><?php echo mosFormatDate($match->match_date, "%H:%M",0);?><?php echo _JL_CLOCK;?></b></td>
        <?php
      }
      ?> 
      <td align="right" nowrap="nowrap">
      <?php
	      if ( $show_logo_small && $match->home_icon && file_exists( $mosConfig_absolute_path.'/'.$match->home_icon) ) 
	      {
	        echo '<img src="'.$mosConfig_live_site.'/'.$match->home_icon.'" alt="'.$match->home_shortname.'" title="'.$match->home_shortname.'" border="0"/>';
	      }
        if ( in_array($match->matchpart1, $favteams) ) {
          echo "<b>";
          echo ( $show_shortnames ? $match->home_shortname : $match->home_name );
          echo "</b>";
        }
        else echo ( $show_shortnames ? $match->home_shortname : $match->home_name );
      ?>
      </td>
      <td align="center">-</td>
      <td align="left" nowrap="nowrap">
      <?php
	      if ( $show_logo_small && $match->away_icon && file_exists( $mosConfig_absolute_path.'/'.$match->away_icon) ) 
	      {
	        echo '<img src="'.$mosConfig_live_site.'/'.$match->away_icon.'" alt="'.$match->away_shortname.'" title="'.$match->away_shortname.'" border="0"/>';
	      }
        if ( in_array($match->matchpart2, $favteams) ) {
          echo "<b>";
          echo ( $show_shortnames ? $match->away_shortname : $match->away_name );
          echo "</b>";
        }
        else echo ( $show_shortnames ? $match->away_shortname : $match->away_name );
      ?>
      </td>
      <td align="center" nowrap="nowrap"><?php echo $match->matchpart1_result; ?></td>
      <td align="center" nowrap="nowrap">:</td>
      <td align="center" nowrap="nowrap"><?php echo $match->matchpart2_result; ?></td>
    </tr>   
    <?php       
    $k = 1 - $k;
  }
?>

</table>
<?php if($show_link == 1){?>
<table width="100%">
      <tr>
        <td align="center">
          <?php 
            if ($last_round == 1)
                $round = $project->current_round-1;
            else $round = $project->current_round; 
            printf('<a href="index.php?option=com_joomleague&amp;func=showResults&amp;p=%s&amp;r=%s&amp;Itemid=%s">'._JL_MODULE_RESULTS_DETAILS.'</a>', $project->id,$round, $Itemid);?>
        </td>
      </tr>
</table>
<?php };?>      

<?php

}
else{
  echo "missing parameter project";
}

?>
